IF  EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_CMM_general]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_CMM_general]
GO
create PROCEDURE [dbo].[sel_doc_CMM_general]
@p_id_documento int

AS
BEGIN
	select
		(
		case
		when ter_tercero.tercero = '' then ''
		else '[' + ter_tercero.tercero  + ']'
		End

		 + 
		case
		when ter_sucursal.sucursal  = '' then ''
		else '[' +  ter_sucursal.sucursal  + ']'
		End

		 + 
		case
		when equ_equipo.equipo = '' then ''
		else '[' + equ_equipo.equipo  + ']'
		End
		) as valor
	from [doc_documento.ot] ot
		inner join doc_documento on ot.id = doc_documento.id
		inner join ter_tercero on doc_documento.id_tercero_cliente = ter_tercero.id
		inner join ter_sucursal on ot.id_sucursal = ter_sucursal.id
		inner join equ_equipo on ot.id_equipo = equ_equipo.id
	where doc_documento.id=@p_id_documento

END
